Subject: Using -Wl,--subsystem,windows
From: [email-masked] (Chris Warren)

7 Dec 1996 09:05:25 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (Win95; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

Can anybody please forward me some simple source code that opens a
Window, prints some text on the window, then waits for the user to close
the window before ending the application.

I tried using the CreateWindow API function, but this just results in a
crash...

Windows Debug Info...
---------------------
WINDOW caused an invalid page fault in
module <unknown> at 0000:e27541e8.
Registers:
EAX=00000000 CS=0137 EIP=e27541e8 EFLGS=00010286
EBX=00530000 SS=013f ESP=0063fdd0 EBP=0063fe20
ECX=00000000 DS=013f ESI=81580335 FS=10f7
EDX=00511000 ES=013f EDI=81570150 GS=0000
Bytes at CS:EIP:

Stack dump:
000042e7 00401484 00530000 00530000 00510458 7fd5b9e0 00410000 00000000
0051045c 7fd65055 0051045c 8157dc40 7fd60686 81570150 81580334 00000018 

GDB Debug Info
--------------
Starting program: /circle30bpl11/window.exe
7fd50000:/WINDOWS/SYSTEM/CRTDLL.DLL
bff60000:/WINDOWS/SYSTEM/USER32.DLL
bfed0000:/WINDOWS/SYSTEM/ADVAPI32.DLL
bff30000:/WINDOWS/SYSTEM/GDI32.DLL
bff70000:/WINDOWS/SYSTEM/KERNEL32.DLL

Program received signal SIGSEGV, Segmentation fault.
0xe27541e8 in ?? ()

I think the problem is with...

LRESULT CALLBACK _export WindowProc(HWND hwnd, UINT msg, WPARAM wParam,
LPARAM lParam)

this will not compile as _export is undefined, and without we get those
nasty errors.

Any ideas?

Thanks,
Chris
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".